export type Notification = {
  id: string
  message: string
}

// User model
export type User = {
  id: number;
  username: string;
  password: string;
  characters: Character[];
};

// Character model
export type Character = {
  id: number;
  userId: number;
  user: User;
  name: string;
  hitpoints: number;
  mana: number;
  level: number;
  experience: number;
  role: string;
  position_x: number;
  position_y: number;
  rotation: number;
  zoneId: number;
  zone: Zone;
  chats: Chat[];
};

// Zone model
export type Zone = {
  id: number;
  name: string;
  width: number;
  height: number;
  tiles: ZoneTile[];
  decorations: ZoneDecoration[];
  walls: ZoneWall[];
  characters: Character[];
  chats: Chat[];
  createdAt: Date;
  updatedAt: Date;
};

// ZoneTile model
export type ZoneTile = {
  id: number;
  zone: Zone;
  zoneId: number;
  x: number;
  y: number;
  type: number;
};

// ZoneDecoration model
export type ZoneDecoration = {
  id: number;
  zone: Zone;
  zoneId: number;
  x: number;
  y: number;
  type: number;
};

// ZoneWall model
export type ZoneWall = {
  id: number;
  zone: Zone;
  zoneId: number;
  x: number;
  y: number;
  type: number;
};

// Chat model
export type Chat = {
  id: number;
  characterId: number;
  character: Character;
  zoneId: number;
  zone: Zone;
  message: string;
  createdAt: Date;
};
